#!/bin/bash

CURRENT_CONFIG=$(cat haproxy/config/current_config.txt)

if [ "$CURRENT_CONFIG" == "haproxy_config1.cfg" ]; then
    cp haproxy/config/haproxy_config2.cfg haproxy/config/haproxy.cfg
    echo "haproxy_config2.cfg" > haproxy/config/current_config.txt
else
    cp haproxy/config/haproxy_config1.cfg haproxy/config/haproxy.cfg
    echo "haproxy_config1.cfg" > haproxy/config/current_config.txt
fi

docker-compose restart haproxy

echo "HAProxy配置文件已切换为: $(cat haproxy/config/current_config.txt)"
